summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorFlorian Walch2019-06-11 23:15:02 +0200
committerFlorian Walch2019-06-11 23:15:31 +0200
commitfff217d09d6e1650a303942891efa33b21a63d75 (patch)
tree3720f173faf2a6ba9dded86b80f26cbf8d5432f9
parent0a5d30524bbdfd13b2127395b5948d43910065bc (diff)
downloadaur-fff217d09d6e1650a303942891efa33b21a63d75.tar.gz
PKGBUILD: Add dependency on libluv, update to 0.3.4.r1012
-rw-r--r--.SRCINFO5
-rw-r--r--PKGBUILD4
2 files changed, 5 insertions, 4 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 417d94b138c..35ce54a06fb 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = neovim-git
pkgdesc = Fork of Vim aiming to improve user experience, plugins, and GUIs.
- pkgver = 0.3.1.r915.g8b39e4ec7
+ pkgver = 0.3.4.r1012.gf8d0e41b2
pkgrel = 1
url = https://neovim.io
install = neovim-git.install
@@ -15,6 +15,7 @@ pkgbase = neovim-git
makedepends = lua51-mpack
makedepends = lua51-lpeg
depends = jemalloc
+ depends = libluv
depends = libtermkey
depends = libuv
depends = luajit
@@ -26,7 +27,7 @@ pkgbase = neovim-git
optdepends = ruby-neovim: for Ruby plugin support (see :help provider-ruby)
optdepends = xclip: for clipboard support (or xsel) (see :help provider-clipboard)
optdepends = xsel: for clipboard support (or xclip) (see :help provider-clipboard)
- provides = neovim=0.3.1.r915.g8b39e4ec7
+ provides = neovim=0.3.4.r1012.gf8d0e41b2
conflicts = neovim
options = !strip
source = neovim-git::git+https://github.com/neovim/neovim.git
diff --git a/PKGBUILD b/PKGBUILD
index 306861f1313..0fe543bbe93 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,13 +2,13 @@
# Contributor: Florian Hahn <flo@fhahn.com>
pkgname=neovim-git
-pkgver=0.3.1.r915.g8b39e4ec7
+pkgver=0.3.4.r1012.gf8d0e41b2
pkgrel=1
pkgdesc='Fork of Vim aiming to improve user experience, plugins, and GUIs.'
arch=('i686' 'x86_64' 'armv7h' 'armv6h')
url='https://neovim.io'
license=('custom:neovim')
-depends=('jemalloc' 'libtermkey' 'libuv' 'luajit' 'libvterm' 'msgpack-c' 'unibilium')
+depends=('jemalloc' 'libluv' 'libtermkey' 'libuv' 'luajit' 'libvterm' 'msgpack-c' 'unibilium')
makedepends=('cmake' 'git' 'gperf' 'lua51-mpack' 'lua51-lpeg')
optdepends=('python2-neovim: for Python 2 plugin support (see :help provider-python)'
'python-neovim: for Python 3 plugin support (see :help provider-python)'